#include <bitmaps.h>

static const uint8_t comp_circle_data[] = {
        0x20,
        0x8d,
        0x3d,
        0x84,
        0x0b,
        0x84,
        0x36,
        0x83,
        0x13,
        0x83,
        0x30,
        0x83,
        0x19,
        0x83,
        0x2b,
        0x82,
        0x1f,
        0x82,
        0x27,
        0x82,
        0x23,
        0x82,
        0x24,
        0x81,
        0x27,
        0x81,
        0x21,
        0x82,
        0x29,
        0x82,
        0x1e,
        0x81,
        0x2d,
        0x81,
        0x1c,
        0x81,
        0x2f,
        0x81,
        0x1a,
        0x81,
        0x31,
        0x81,
        0x18,
        0x81,
        0x33,
        0x81,
        0x16,
        0x81,
        0x35,
        0x81,
        0x14,
        0x81,
        0x37,
        0x81,
        0x12,
        0x81,
        0x39,
        0x81,
        0x10,
        0x81,
        0x3b,
        0x81,
        0x0e,
        0x81,
        0x3d,
        0x81,
        0x0d,
        0x80,
        0x3f,
        0x80,
        0x0c,
        0x81,
        0x3f,
        0x81,
        0x0a,
        0x81,
        0x41,
        0x81,
        0x09,
        0x80,
        0x43,
        0x80,
        0x08,
        0x81,
        0x43,
        0x81,
        0x07,
        0x80,
        0x45,
        0x80,
        0x06,
        0x81,
        0x45,
        0x81,
        0x05,
        0x80,
        0x47,
        0x80,
        0x05,
        0x80,
        0x47,
        0x80,
        0x04,
        0x81,
        0x47,
        0x81,
        0x03,
        0x80,
        0x49,
        0x80,
        0x03,
        0x80,
        0x49,
        0x80,
        0x02,
        0x81,
        0x49,
        0x81,
        0x01,
        0x80,
        0x4b,
        0x80,
        0x01,
        0x80,
        0x4b,
        0x80,
        0x01,
        0x80,
        0x4b,
        0x80,
        0x00,
        0x81,
        0x4b,
        0x82,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x81,
        0x4d,
        0x82,
        0x4b,
        0x81,
        0x00,
        0x80,
        0x4b,
        0x80,
        0x01,
        0x80,
        0x4b,
        0x80,
        0x01,
        0x80,
        0x4b,
        0x80,
        0x01,
        0x81,
        0x49,
        0x81,
        0x02,
        0x80,
        0x49,
        0x80,
        0x03,
        0x80,
        0x49,
        0x80,
        0x03,
        0x81,
        0x47,
        0x81,
        0x04,
        0x80,
        0x47,
        0x80,
        0x05,
        0x80,
        0x47,
        0x80,
        0x05,
        0x81,
        0x45,
        0x81,
        0x06,
        0x80,
        0x45,
        0x80,
        0x07,
        0x81,
        0x43,
        0x81,
        0x08,
        0x80,
        0x43,
        0x80,
        0x09,
        0x81,
        0x41,
        0x81,
        0x0a,
        0x81,
        0x3f,
        0x81,
        0x0c,
        0x80,
        0x3f,
        0x80,
        0x0d,
        0x81,
        0x3d,
        0x81,
        0x0e,
        0x81,
        0x3b,
        0x81,
        0x10,
        0x81,
        0x39,
        0x81,
        0x12,
        0x81,
        0x37,
        0x81,
        0x14,
        0x81,
        0x35,
        0x81,
        0x16,
        0x81,
        0x33,
        0x81,
        0x18,
        0x81,
        0x31,
        0x81,
        0x1a,
        0x81,
        0x2f,
        0x81,
        0x1c,
        0x81,
        0x2d,
        0x81,
        0x1e,
        0x82,
        0x29,
        0x82,
        0x21,
        0x81,
        0x27,
        0x81,
        0x24,
        0x82,
        0x23,
        0x82,
        0x27,
        0x82,
        0x1f,
        0x82,
        0x2b,
        0x83,
        0x19,
        0x83,
        0x30,
        0x83,
        0x13,
        0x83,
        0x36,
        0x84,
        0x0b,
        0x84,
        0x3d,
        0x8d,
        0x20};
const struct rle_bitmap comp_circle = { 80, 80, comp_circle_data };

static const uint8_t gps_disconnected_data[] = {
        0x0a,
        0x80,
        0x0d,
        0x80,
        0x0b,
        0x84,
        0x03,
        0x82,
        0x04,
        0x80,
        0x04,
        0x81,
        0x06,
        0x80,
        0x03,
        0x81,
        0x03,
        0x81,
        0x06,
        0x82,
        0x00,
        0x83,
        0x06,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_disconnected = { 15, 15, gps_disconnected_data };

static const uint8_t comp_circle3_data[] = {
        0x33,
        0x90,
        0x62,
        0x9a,
        0x59,
        0x89,
        0x06,
        0x80,
        0x06,
        0x89,
        0x52,
        0x87,
        0x0b,
        0x80,
        0x0b,
        0x87,
        0x4c,
        0x86,
        0x0f,
        0x80,
        0x0f,
        0x86,
        0x47,
        0x85,
        0x12,
        0x80,
        0x12,
        0x85,
        0x43,
        0x84,
        0x15,
        0x80,
        0x15,
        0x84,
        0x3f,
        0x84,
        0x17,
        0x80,
        0x17,
        0x84,
        0x3b,
        0x84,
        0x19,
        0x80,
        0x19,
        0x84,
        0x38,
        0x83,
        0x1b,
        0x80,
        0x1b,
        0x83,
        0x35,
        0x83,
        0x1d,
        0x80,
        0x1d,
        0x83,
        0x32,
        0x83,
        0x1e,
        0x80,
        0x1e,
        0x83,
        0x2f,
        0x83,
        0x20,
        0x80,
        0x20,
        0x83,
        0x2c,
        0x83,
        0x21,
        0x80,
        0x21,
        0x83,
        0x2a,
        0x83,
        0x22,
        0x80,
        0x22,
        0x83,
        0x28,
        0x82,
        0x24,
        0x80,
        0x24,
        0x82,
        0x26,
        0x82,
        0x25,
        0x80,
        0x25,
        0x82,
        0x24,
        0x82,
        0x26,
        0x80,
        0x26,
        0x82,
        0x22,
        0x82,
        0x27,
        0x80,
        0x27,
        0x82,
        0x20,
        0x83,
        0x27,
        0x80,
        0x27,
        0x83,
        0x1e,
        0x82,
        0x01,
        0x80,
        0x26,
        0x80,
        0x26,
        0x80,
        0x01,
        0x82,
        0x1c,
        0x82,
        0x03,
        0x80,
        0x25,
        0x80,
        0x25,
        0x80,
        0x03,
        0x82,
        0x1a,
        0x82,
        0x05,
        0x80,
        0x24,
        0x80,
        0x24,
        0x80,
        0x05,
        0x82,
        0x18,
        0x82,
        0x07,
        0x80,
        0x23,
        0x80,
        0x23,
        0x80,
        0x07,
        0x82,
        0x17,
        0x82,
        0x08,
        0x80,
        0x22,
        0x80,
        0x22,
        0x80,
        0x08,
        0x82,
        0x16,
        0x82,
        0x0a,
        0x80,
        0x21,
        0x80,
        0x21,
        0x80,
        0x0a,
        0x82,
        0x14,
        0x82,
        0x0c,
        0x80,
        0x20,
        0x80,
        0x20,
        0x80,
        0x0c,
        0x82,
        0x13,
        0x81,
        0x0e,
        0x80,
        0x1f,
        0x80,
        0x1f,
        0x80,
        0x0e,
        0x81,
        0x12,
        0x82,
        0x0f,
        0x80,
        0x1e,
        0x80,
        0x1e,
        0x80,
        0x0f,
        0x82,
        0x10,
        0x82,
        0x11,
        0x80,
        0x1d,
        0x80,
        0x1d,
        0x80,
        0x11,
        0x82,
        0x0f,
        0x81,
        0x13,
        0x80,
        0x1c,
        0x80,
        0x1c,
        0x80,
        0x13,
        0x81,
        0x0e,
        0x82,
        0x14,
        0x80,
        0x1b,
        0x80,
        0x1b,
        0x80,
        0x14,
        0x82,
        0x0d,
        0x81,
        0x16,
        0x80,
        0x1a,
        0x80,
        0x1a,
        0x80,
        0x16,
        0x81,
        0x0c,
        0x82,
        0x17,
        0x80,
        0x19,
        0x80,
        0x19,
        0x80,
        0x17,
        0x82,
        0x0b,
        0x81,
        0x19,
        0x80,
        0x18,
        0x80,
        0x18,
        0x80,
        0x19,
        0x81,
        0x0a,
        0x82,
        0x1a,
        0x80,
        0x17,
        0x80,
        0x17,
        0x80,
        0x1a,
        0x82,
        0x09,
        0x81,
        0x1c,
        0x80,
        0x16,
        0x80,
        0x16,
        0x80,
        0x1c,
        0x81,
        0x08,
        0x82,
        0x1d,
        0x80,
        0x15,
        0x80,
        0x15,
        0x80,
        0x1d,
        0x82,
        0x07,
        0x81,
        0x1f,
        0x80,
        0x14,
        0x80,
        0x14,
        0x80,
        0x1f,
        0x81,
        0x07,
        0x81,
        0x20,
        0x80,
        0x13,
        0x80,
        0x13,
        0x80,
        0x20,
        0x81,
        0x06,
        0x82,
        0x21,
        0x80,
        0x12,
        0x80,
        0x12,
        0x80,
        0x21,
        0x82,
        0x05,
        0x81,
        0x23,
        0x80,
        0x11,
        0x80,
        0x11,
        0x80,
        0x23,
        0x81,
        0x05,
        0x81,
        0x24,
        0x80,
        0x10,
        0x80,
        0x10,
        0x80,
        0x24,
        0x81,
        0x04,
        0x82,
        0x25,
        0x80,
        0x0f,
        0x80,
        0x0f,
        0x80,
        0x25,
        0x82,
        0x03,
        0x81,
        0x27,
        0x80,
        0x0e,
        0x80,
        0x0e,
        0x80,
        0x27,
        0x81,
        0x03,
        0x81,
        0x28,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x28,
        0x81,
        0x03,
        0x81,
        0x29,
        0x80,
        0x0c,
        0x80,
        0x0c,
        0x80,
        0x29,
        0x81,
        0x02,
        0x82,
        0x2a,
        0x80,
        0x0b,
        0x80,
        0x0b,
        0x80,
        0x2a,
        0x82,
        0x01,
        0x81,
        0x2c,
        0x80,
        0x0a,
        0x80,
        0x0a,
        0x80,
        0x2c,
        0x81,
        0x01,
        0x81,
        0x2d,
        0x80,
        0x09,
        0x80,
        0x09,
        0x80,
        0x2d,
        0x81,
        0x01,
        0x81,
        0x2e,
        0x80,
        0x08,
        0x80,
        0x08,
        0x80,
        0x2e,
        0x81,
        0x01,
        0x81,
        0x2f,
        0x80,
        0x07,
        0x80,
        0x07,
        0x80,
        0x2f,
        0x81,
        0x00,
        0x82,
        0x30,
        0x80,
        0x06,
        0x80,
        0x06,
        0x80,
        0x30,
        0x84,
        0x32,
        0x80,
        0x05,
        0x80,
        0x05,
        0x80,
        0x32,
        0x83,
        0x33,
        0x80,
        0x04,
        0x80,
        0x04,
        0x80,
        0x33,
        0x83,
        0x34,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x34,
        0x83,
        0x35,
        0x80,
        0x02,
        0x80,
        0x02,
        0x80,
        0x35,
        0x83,
        0x36,
        0x80,
        0x01,
        0x80,
        0x01,
        0x80,
        0x36,
        0x83,
        0x37,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x37,
        0x83,
        0x38,
        0x82,
        0x38,
        0xfc,
        0x38,
        0x82,
        0x38,
        0x83,
        0x37,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x37,
        0x83,
        0x36,
        0x80,
        0x01,
        0x80,
        0x01,
        0x80,
        0x36,
        0x83,
        0x35,
        0x80,
        0x02,
        0x80,
        0x02,
        0x80,
        0x35,
        0x83,
        0x34,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x34,
        0x83,
        0x33,
        0x80,
        0x04,
        0x80,
        0x04,
        0x80,
        0x33,
        0x83,
        0x32,
        0x80,
        0x05,
        0x80,
        0x05,
        0x80,
        0x32,
        0x84,
        0x30,
        0x80,
        0x06,
        0x80,
        0x06,
        0x80,
        0x30,
        0x82,
        0x00,
        0x81,
        0x2f,
        0x80,
        0x07,
        0x80,
        0x07,
        0x80,
        0x2f,
        0x81,
        0x01,
        0x81,
        0x2e,
        0x80,
        0x08,
        0x80,
        0x08,
        0x80,
        0x2e,
        0x81,
        0x01,
        0x81,
        0x2d,
        0x80,
        0x09,
        0x80,
        0x09,
        0x80,
        0x2d,
        0x81,
        0x01,
        0x81,
        0x2c,
        0x80,
        0x0a,
        0x80,
        0x0a,
        0x80,
        0x2c,
        0x81,
        0x01,
        0x82,
        0x2a,
        0x80,
        0x0b,
        0x80,
        0x0b,
        0x80,
        0x2a,
        0x82,
        0x02,
        0x81,
        0x29,
        0x80,
        0x0c,
        0x80,
        0x0c,
        0x80,
        0x29,
        0x81,
        0x03,
        0x81,
        0x28,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x28,
        0x81,
        0x03,
        0x81,
        0x27,
        0x80,
        0x0e,
        0x80,
        0x0e,
        0x80,
        0x27,
        0x81,
        0x03,
        0x82,
        0x25,
        0x80,
        0x0f,
        0x80,
        0x0f,
        0x80,
        0x25,
        0x82,
        0x04,
        0x81,
        0x24,
        0x80,
        0x10,
        0x80,
        0x10,
        0x80,
        0x24,
        0x81,
        0x05,
        0x81,
        0x23,
        0x80,
        0x11,
        0x80,
        0x11,
        0x80,
        0x23,
        0x81,
        0x05,
        0x82,
        0x21,
        0x80,
        0x12,
        0x80,
        0x12,
        0x80,
        0x21,
        0x82,
        0x06,
        0x81,
        0x20,
        0x80,
        0x13,
        0x80,
        0x13,
        0x80,
        0x20,
        0x81,
        0x07,
        0x81,
        0x1f,
        0x80,
        0x14,
        0x80,
        0x14,
        0x80,
        0x1f,
        0x81,
        0x07,
        0x82,
        0x1d,
        0x80,
        0x15,
        0x80,
        0x15,
        0x80,
        0x1d,
        0x82,
        0x08,
        0x81,
        0x1c,
        0x80,
        0x16,
        0x80,
        0x16,
        0x80,
        0x1c,
        0x81,
        0x09,
        0x82,
        0x1a,
        0x80,
        0x17,
        0x80,
        0x17,
        0x80,
        0x1a,
        0x82,
        0x0a,
        0x81,
        0x19,
        0x80,
        0x18,
        0x80,
        0x18,
        0x80,
        0x19,
        0x81,
        0x0b,
        0x82,
        0x17,
        0x80,
        0x19,
        0x80,
        0x19,
        0x80,
        0x17,
        0x82,
        0x0c,
        0x81,
        0x16,
        0x80,
        0x1a,
        0x80,
        0x1a,
        0x80,
        0x16,
        0x81,
        0x0d,
        0x82,
        0x14,
        0x80,
        0x1b,
        0x80,
        0x1b,
        0x80,
        0x14,
        0x82,
        0x0e,
        0x81,
        0x13,
        0x80,
        0x1c,
        0x80,
        0x1c,
        0x80,
        0x13,
        0x81,
        0x0f,
        0x82,
        0x11,
        0x80,
        0x1d,
        0x80,
        0x1d,
        0x80,
        0x11,
        0x82,
        0x10,
        0x82,
        0x0f,
        0x80,
        0x1e,
        0x80,
        0x1e,
        0x80,
        0x0f,
        0x82,
        0x12,
        0x81,
        0x0e,
        0x80,
        0x1f,
        0x80,
        0x1f,
        0x80,
        0x0e,
        0x81,
        0x13,
        0x82,
        0x0c,
        0x80,
        0x20,
        0x80,
        0x20,
        0x80,
        0x0c,
        0x82,
        0x14,
        0x82,
        0x0a,
        0x80,
        0x21,
        0x80,
        0x21,
        0x80,
        0x0a,
        0x82,
        0x16,
        0x82,
        0x08,
        0x80,
        0x22,
        0x80,
        0x22,
        0x80,
        0x08,
        0x82,
        0x17,
        0x82,
        0x07,
        0x80,
        0x23,
        0x80,
        0x23,
        0x80,
        0x07,
        0x82,
        0x18,
        0x82,
        0x05,
        0x80,
        0x24,
        0x80,
        0x24,
        0x80,
        0x05,
        0x82,
        0x1a,
        0x82,
        0x03,
        0x80,
        0x25,
        0x80,
        0x25,
        0x80,
        0x03,
        0x82,
        0x1c,
        0x82,
        0x01,
        0x80,
        0x26,
        0x80,
        0x26,
        0x80,
        0x01,
        0x82,
        0x1e,
        0x83,
        0x27,
        0x80,
        0x27,
        0x83,
        0x20,
        0x82,
        0x27,
        0x80,
        0x27,
        0x82,
        0x22,
        0x82,
        0x26,
        0x80,
        0x26,
        0x82,
        0x24,
        0x82,
        0x25,
        0x80,
        0x25,
        0x82,
        0x26,
        0x82,
        0x24,
        0x80,
        0x24,
        0x82,
        0x28,
        0x83,
        0x22,
        0x80,
        0x22,
        0x83,
        0x2a,
        0x83,
        0x21,
        0x80,
        0x21,
        0x83,
        0x2c,
        0x83,
        0x20,
        0x80,
        0x20,
        0x83,
        0x2f,
        0x83,
        0x1e,
        0x80,
        0x1e,
        0x83,
        0x32,
        0x83,
        0x1d,
        0x80,
        0x1d,
        0x83,
        0x35,
        0x83,
        0x1b,
        0x80,
        0x1b,
        0x83,
        0x38,
        0x84,
        0x19,
        0x80,
        0x19,
        0x84,
        0x3b,
        0x84,
        0x17,
        0x80,
        0x17,
        0x84,
        0x3f,
        0x84,
        0x15,
        0x80,
        0x15,
        0x84,
        0x43,
        0x85,
        0x12,
        0x80,
        0x12,
        0x85,
        0x47,
        0x86,
        0x0f,
        0x80,
        0x0f,
        0x86,
        0x4c,
        0x87,
        0x0b,
        0x80,
        0x0b,
        0x87,
        0x52,
        0x89,
        0x06,
        0x80,
        0x06,
        0x89,
        0x59,
        0x9a,
        0x62,
        0x90,
        0x33};
const struct rle_bitmap comp_circle3 = { 121, 121, comp_circle3_data };

static const uint8_t date_icon_data[] = {
        0x10,
        0x8a,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x8a,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x01,
        0x83,
        0x02,
        0x80,
        0x03,
        0x80,
        0x04,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x04,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x01,
        0x80,
        0x01,
        0x80,
        0x02,
        0x80,
        0x03,
        0x80,
        0x02,
        0x81,
        0x01,
        0x82,
        0x03,
        0x80,
        0x05,
        0x80,
        0x01,
        0x80,
        0x03,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x04,
        0x88,
        0x12};
const struct rle_bitmap date_icon = { 15, 15, date_icon_data };

static const uint8_t comp_ico_data[] = {
        0x04,
        0x80,
        0x02,
        0x80,
        0x09,
        0x81,
        0x01,
        0x80,
        0x09,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x09,
        0x80,
        0x01,
        0x81,
        0x09,
        0x80,
        0x02,
        0x80,
        0x1a,
        0x80,
        0x0c,
        0x82,
        0x0a,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x06};
const struct rle_bitmap comp_ico = { 15, 15, comp_ico_data };

static const uint8_t gps_receiving_data[] = {
        0x06,
        0x83,
        0x0e,
        0x80,
        0x0a,
        0x81,
        0x01,
        0x80,
        0x04,
        0x82,
        0x03,
        0x80,
        0x01,
        0x80,
        0x02,
        0x81,
        0x06,
        0x80,
        0x00,
        0x80,
        0x01,
        0x81,
        0x03,
        0x81,
        0x01,
        0x80,
        0x00,
        0x80,
        0x01,
        0x82,
        0x00,
        0x83,
        0x03,
        0x80,
        0x01,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_receiving = { 15, 15, gps_receiving_data };

static const uint8_t comp_circle2_data[] = {
        0x33,
        0x8f,
        0x61,
        0x86,
        0x0d,
        0x86,
        0x57,
        0x84,
        0x19,
        0x84,
        0x50,
        0x83,
        0x21,
        0x83,
        0x4b,
        0x82,
        0x27,
        0x82,
        0x47,
        0x82,
        0x2b,
        0x82,
        0x42,
        0x83,
        0x2f,
        0x83,
        0x3e,
        0x81,
        0x35,
        0x81,
        0x3b,
        0x82,
        0x37,
        0x82,
        0x37,
        0x82,
        0x3b,
        0x82,
        0x34,
        0x81,
        0x3f,
        0x81,
        0x31,
        0x82,
        0x41,
        0x82,
        0x2e,
        0x81,
        0x45,
        0x81,
        0x2c,
        0x81,
        0x47,
        0x81,
        0x2a,
        0x81,
        0x49,
        0x81,
        0x27,
        0x82,
        0x4b,
        0x82,
        0x24,
        0x81,
        0x4f,
        0x81,
        0x22,
        0x81,
        0x51,
        0x81,
        0x20,
        0x81,
        0x53,
        0x81,
        0x1e,
        0x81,
        0x55,
        0x81,
        0x1d,
        0x80,
        0x57,
        0x80,
        0x1c,
        0x81,
        0x57,
        0x81,
        0x1a,
        0x81,
        0x59,
        0x81,
        0x18,
        0x81,
        0x5b,
        0x81,
        0x16,
        0x81,
        0x5d,
        0x81,
        0x15,
        0x80,
        0x5f,
        0x80,
        0x14,
        0x81,
        0x5f,
        0x81,
        0x12,
        0x81,
        0x61,
        0x81,
        0x11,
        0x80,
        0x63,
        0x80,
        0x10,
        0x81,
        0x63,
        0x81,
        0x0f,
        0x80,
        0x65,
        0x80,
        0x0e,
        0x81,
        0x65,
        0x81,
        0x0c,
        0x81,
        0x67,
        0x81,
        0x0b,
        0x80,
        0x69,
        0x80,
        0x0b,
        0x80,
        0x69,
        0x80,
        0x0a,
        0x81,
        0x69,
        0x81,
        0x09,
        0x80,
        0x6b,
        0x80,
        0x08,
        0x81,
        0x6b,
        0x81,
        0x07,
        0x80,
        0x6d,
        0x80,
        0x06,
        0x81,
        0x6d,
        0x81,
        0x05,
        0x80,
        0x6f,
        0x80,
        0x05,
        0x80,
        0x6f,
        0x80,
        0x04,
        0x81,
        0x6f,
        0x81,
        0x03,
        0x80,
        0x71,
        0x80,
        0x03,
        0x80,
        0x71,
        0x80,
        0x03,
        0x80,
        0x71,
        0x80,
        0x02,
        0x81,
        0x71,
        0x81,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x00,
        0x81,
        0x73,
        0x82,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x81,
        0x75,
        0x82,
        0x73,
        0x81,
        0x00,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x80,
        0x73,
        0x80,
        0x01,
        0x81,
        0x71,
        0x81,
        0x02,
        0x80,
        0x71,
        0x80,
        0x03,
        0x80,
        0x71,
        0x80,
        0x03,
        0x80,
        0x71,
        0x80,
        0x03,
        0x81,
        0x6f,
        0x81,
        0x04,
        0x80,
        0x6f,
        0x80,
        0x05,
        0x80,
        0x6f,
        0x80,
        0x05,
        0x81,
        0x6d,
        0x81,
        0x06,
        0x80,
        0x6d,
        0x80,
        0x07,
        0x81,
        0x6b,
        0x81,
        0x08,
        0x80,
        0x6b,
        0x80,
        0x09,
        0x81,
        0x69,
        0x81,
        0x0a,
        0x80,
        0x69,
        0x80,
        0x0b,
        0x80,
        0x69,
        0x80,
        0x0b,
        0x81,
        0x67,
        0x81,
        0x0c,
        0x81,
        0x65,
        0x81,
        0x0e,
        0x80,
        0x65,
        0x80,
        0x0f,
        0x81,
        0x63,
        0x81,
        0x10,
        0x80,
        0x63,
        0x80,
        0x11,
        0x81,
        0x61,
        0x81,
        0x12,
        0x81,
        0x5f,
        0x81,
        0x14,
        0x80,
        0x5f,
        0x80,
        0x15,
        0x81,
        0x5d,
        0x81,
        0x16,
        0x81,
        0x5b,
        0x81,
        0x18,
        0x81,
        0x59,
        0x81,
        0x1a,
        0x81,
        0x57,
        0x81,
        0x1c,
        0x80,
        0x57,
        0x80,
        0x1d,
        0x81,
        0x55,
        0x81,
        0x1e,
        0x81,
        0x53,
        0x81,
        0x20,
        0x81,
        0x51,
        0x81,
        0x22,
        0x81,
        0x4f,
        0x81,
        0x24,
        0x82,
        0x4b,
        0x82,
        0x27,
        0x81,
        0x49,
        0x81,
        0x2a,
        0x81,
        0x47,
        0x81,
        0x2c,
        0x81,
        0x45,
        0x81,
        0x2e,
        0x82,
        0x41,
        0x82,
        0x31,
        0x81,
        0x3f,
        0x81,
        0x34,
        0x82,
        0x3b,
        0x82,
        0x37,
        0x82,
        0x37,
        0x82,
        0x3b,
        0x81,
        0x35,
        0x81,
        0x3e,
        0x83,
        0x2f,
        0x83,
        0x42,
        0x82,
        0x2b,
        0x82,
        0x47,
        0x82,
        0x27,
        0x82,
        0x4b,
        0x83,
        0x21,
        0x83,
        0x50,
        0x84,
        0x19,
        0x84,
        0x57,
        0x86,
        0x0d,
        0x86,
        0x61,
        0x8f,
        0x33};
const struct rle_bitmap comp_circle2 = { 120, 120, comp_circle2_data };

static const uint8_t comp_arrow_data[] = {
        0x05,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0a,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x08,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x06,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x04,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x02,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x00,
        0xad,
        0x0c,
        0x81,
        0x0c,
        0x80,
        0x00,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x02,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x04,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x06,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x08,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x0a,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x82,
        0x05};
const struct rle_bitmap comp_arrow = { 15, 70, comp_arrow_data };

static const uint8_t usb_ms_icon_data[] = {
        0x03,
        0x86,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x07,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x00,
        0x80,
        0x06,
        0x88,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x00,
        0x84,
        0x00,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x02,
        0x80,
        0x00,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x02,
        0x80,
        0x00,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x02,
        0x80,
        0x00,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x02,
        0x80,
        0x00,
        0x80,
        0x05,
        0x80,
        0x00,
        0x80,
        0x02,
        0x80,
        0x00,
        0x80,
        0x05,
        0x80,
        0x01,
        0x82,
        0x01,
        0x80,
        0x06,
        0x80,
        0x04,
        0x80,
        0x08,
        0x84,
        0x04};
const struct rle_bitmap usb_ms_icon = { 15, 15, usb_ms_icon_data };

static const uint8_t battery_data[] = {
        0x8d,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x8d,
        0x00};
const struct rle_bitmap battery = { 15, 12, battery_data };

static const uint8_t clock_icon_data[] = {
        0x03,
        0x00,
        0x84,
        0x07,
        0x00,
        0x80,
        0x04,
        0x80,
        0x00,
        0x04,
        0x80,
        0x03,
        0x80,
        0x03,
        0x80,
        0x02,
        0x00,
        0x04,
        0x80,
        0x04,
        0x00,
        0x01,
        0x80,
        0x04,
        0x80,
        0x04,
        0x80,
        0x00,
        0x00,
        0x05,
        0x80,
        0x05,
        0x00,
        0x80,
        0x05,
        0x80,
        0x05,
        0x81,
        0x05,
        0x80,
        0x05,
        0x81,
        0x06,
        0x80,
        0x04,
        0x80,
        0x00,
        0x07,
        0x80,
        0x03,
        0x00,
        0x00,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x00,
        0x0a,
        0x00,
        0x02,
        0x80,
        0x08,
        0x80,
        0x04,
        0x00,
        0x80,
        0x04,
        0x80,
        0x00,
        0x07,
        0x00,
        0x82,
        0x00,
        0x04};
const struct rle_bitmap clock_icon = { 15, 15, clock_icon_data };

static const uint8_t example_icon_data[] = {
        0x2e,
        0x81,
        0x05,
        0x81,
        0x04,
        0x81,
        0x05,
        0x82,
        0x16,
        0x80,
        0x0d,
        0x80,
        0x0d,
        0x80,
        0x08,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x08,
        0x81,
        0x02,
        0x81,
        0x06,
        0x81,
        0x04,
        0x83,
        0x01,
        0x82,
        0x08,
        0x83,
        0x14};
const struct rle_bitmap example_icon = { 15, 15, example_icon_data };

static const uint8_t battery_charging_data[] = {
        0x8d,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x05,
        0x81,
        0x03,
        0x82,
        0x04,
        0x84,
        0x01,
        0x82,
        0x00,
        0x86,
        0x03,
        0x82,
        0x00,
        0x86,
        0x03,
        0x82,
        0x04,
        0x84,
        0x01,
        0x82,
        0x05,
        0x81,
        0x03,
        0x82,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x8d,
        0x00};
const struct rle_bitmap battery_charging = { 15, 12, battery_charging_data };

static const uint8_t gps_searching_data[] = {
        0x0c,
        0x80,
        0x0c,
        0x80,
        0x13,
        0x82,
        0x03,
        0x80,
        0x05,
        0x81,
        0x04,
        0x80,
        0x05,
        0x81,
        0x03,
        0x81,
        0x06,
        0x82,
        0x00,
        0x83,
        0x06,
        0x82,
        0x02,
        0x80,
        0x07,
        0x83,
        0x01,
        0x80,
        0x01,
        0x80,
        0x05,
        0x83,
        0x03,
        0x80,
        0x06,
        0x84,
        0x00,
        0x81,
        0x07,
        0x85,
        0x0a,
        0x81,
        0x09,
        0x84,
        0x08,
        0x86,
        0x05};
const struct rle_bitmap gps_searching = { 15, 15, gps_searching_data };

static const uint8_t settings_icon_data[] = {
        0x02,
        0x81,
        0x0d,
        0x81,
        0x0c,
        0x81,
        0x08,
        0x80,
        0x01,
        0x82,
        0x08,
        0x85,
        0x09,
        0x85,
        0x0c,
        0x82,
        0x0c,
        0x82,
        0x0c,
        0x82,
        0x0c,
        0x85,
        0x09,
        0x85,
        0x08,
        0x82,
        0x01,
        0x80,
        0x08,
        0x81,
        0x0c,
        0x81,
        0x0d,
        0x81,
        0x02};
const struct rle_bitmap settings_icon = { 15, 15, settings_icon_data };

static const uint8_t game_ico_data[] = {
        0x8f,
        0x0c,
        0x81,
        0x0c,
        0x81,
        0x0c,
        0x81,
        0x0c,
        0x81,
        0x02,
        0x83,
        0x05,
        0x81,
        0x01,
        0x85,
        0x04,
        0x81,
        0x00,
        0x87,
        0x03,
        0x81,
        0x00,
        0x87,
        0x03,
        0x81,
        0x00,
        0x87,
        0x03,
        0x81,
        0x00,
        0x87,
        0x03,
        0x81,
        0x01,
        0x85,
        0x04,
        0x81,
        0x02,
        0x83,
        0x05,
        0x81,
        0x0c,
        0x8f};
const struct rle_bitmap game_ico = { 15, 15, game_ico_data };

static const uint8_t comp_arrow2_data[] = {
        0x05,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0b,
        0x82,
        0x0a,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x09,
        0x84,
        0x08,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x07,
        0x86,
        0x06,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x05,
        0x88,
        0x04,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x03,
        0x8a,
        0x02,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x01,
        0x8c,
        0x00,
        0xcb,
        0x0c,
        0x81,
        0x0c,
        0x81,
        0x0c,
        0x81,
        0x0c,
        0x80,
        0x00,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x01,
        0x80,
        0x0a,
        0x80,
        0x02,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x03,
        0x80,
        0x08,
        0x80,
        0x04,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x05,
        0x80,
        0x06,
        0x80,
        0x06,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x07,
        0x80,
        0x04,
        0x80,
        0x08,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x09,
        0x80,
        0x02,
        0x80,
        0x0a,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x80,
        0x00,
        0x80,
        0x0b,
        0x82,
        0x05};
const struct rle_bitmap comp_arrow2 = { 15, 110, comp_arrow2_data };

